SPADE 3.0

Updated Jul 11, 2018
  

This is a new version of SPADE which is radically different from the previous ones. It's rewritten from scratch, since old versions were really old versions and had no support for python 3.x or PEP8. Modifying SPADE without a rewrite was not an option because of the dependencies (the xmpp library), so we decided to change the xmpp library to a modern asyncio xmpp library (aioxmpp) and seize the occasion to use Python 3.x (we have chosen 3.6), to strictly follow the PEP8 and to improve the API (sorry, not backwards compatible).